Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.spatial.network
Interface Network

All Superinterfaces:
  java.lang.Cloneable, java.io.Serializable

public interface Network
extends java.lang.Cloneable, java.io.Serializable

This interface defines a network.

Field Summary
`static int` | `BIDIRECTED_LINK`
`static int` | `DIRECTED_LINK`
`static int` | `LOGICAL_NETWORK`
`static int` | `LRS_GEOMETRY_TYPE`
`static int` | `SDO_GEOMETRY_TYPE`
`static int` | `SPATIAL_NETWORK`
`static int` | `TOPO_GEOMETRY_TYPE`
`static int` | `UNDIRECTED_LINK`

Method Summary
`void` | `addLink(Link l)` Adds a link to the network.
`void` | `addLinks(Link[] linkArray)` Adds an array of links to the network.
`void` | `addNetwork(Network n)` Adds a network to the current network.
`Node` | `addNode(Link l, double distanceRatio, boolean isTemporary)` Adds a node on a link to the network.
`void` | `addNode(Node n)` Adds a node to the network.
`void` | `addNodes(Node[] nodeArray)` Adds an array of nodes to the network.
`void` | `addPath(Path path)` Adds a path to the network.
`void` | `addPaths(Path[] pathArray)` Adds an array of paths to the network.
`Node` | `addTemporaryNode(Link l, double distanceRatio)` Adds a Temporary node (non-persistent) on a link.
`void` | `clear()` Clears all network structure.
`void` | `clearTemporaryCache()` Clears the temporatory cache
`java.lang.Object` | `clone()` Clones the network.
`boolean` | `containsLink(int linkID)` Checks if the network contains the given link
`boolean` | `containsLink(java.lang.String linkID)` Checks if the network contains the given link
`boolean` | `containsNode(int nodeID)` Checks if the network contains the given node
`boolean` | `containsNode(java.lang.String nodeID)` Checks if the network contains the given node
`boolean` | `containsPath(int pathID)` Checks if the network contains the given path
`boolean` | `containsPath(java.lang.String pathID)` Checks if the network contains the given path
`void` | `deleteLink(int linkID)` Deletes a link by ID.
`void` | `deleteLink(Link l)` Deletes a link.
`void` | `deleteLink(java.lang.String linkID)` Deletes a link by teh String ID.
`void` | `deleteNetwork(Network n)` Deletes a sub-network.
`void` | `deleteNode(int nodeID)` Deletes a node by ID.
`void` | `deleteNode(Node n)` Deletes a node.
`void` | `deleteNode(java.lang.String nodeID)` Deletes a node by the STring ID.
`void` | `deletePath(int pathID)` Deletes a path by ID.
`void` | `deletePath(Path path)` Deletes a path.
`void` | `deletePath(java.lang.String pathID)` Deletes a path by the String ID.
`void` | `deleteTemporaryElements()` Deletes all temporary elements (nodes and links).
`java.util.Iterator` | `getExternalLinks()` Returns the external links as an Iterator.
`java.util.Iterator` | `getExternalLinks(boolean active)` Returns the external links with the specified active flag as an Iterator.
`java.util.Iterator` | `getExternalLinks(java.lang.String type)` Returns the external links with the specified type as an Iterator.
`int[]` | `getExternalNetworkIDs()` Returns all external network IDs in an array of int.
`java.util.Iterator` | `getExternalNodes()` Returns the external nodes as an Iterator.
`java.util.Iterator` | `getExternalNodes(boolean active)` Returns the external nodes with the specified acvive flag as an Iterator
`java.util.Iterator` | `getExternalNodes(int hierarchyLevel)` Returns the external nodes with the specified hierarchy level as an Iterator.
`java.util.Iterator` | `getExternalNodes(java.lang.String type)` Returns the external nodes with the specified type as an Iterator.
`Link` | `getLink(int linkID)` Returns the link by ID.
`Link` | `getLink(int startNodeID, int endNodeID)` Returns the link by the start and the end node IDs
`Link` | `getLink(java.lang.String linkID)` Returns the link by the STring ID.
`Link[]` | `getLinkArray()` Returns the links as an array.
`Link[]` | `getLinkArray(boolean active)` Returns the links with the specified active flag as an array.
`Link[]` | `getLinkArray(int hierarchyLevel)` Returns the links with the specified hierarchy level as an array.
`Link[]` | `getLinkArray(java.lang.String type)` Returns the links with the specified type as an array.
`java.lang.String` | `getLinkCostColumn()` Returns the link cost column in the database.
`java.lang.String` | `getLinkDurationColumn()` Gets link duration column name
`java.lang.String` | `getLinkGeomColumn()` Returns the link geometry column name in the database.
`int[]` | `getLinkHierarchyLevelArray()` Returns the link hierarchy levels as an array.
`java.lang.String` | `getLinkPartitionColumn()` Returns the link partition column in the database.
`java.util.Iterator` | `getLinks()` Returns the links as an Iterator.
`java.util.Iterator` | `getLinks(boolean active)` Returns the links with the specified active flag as an Iterator.
`java.util.Iterator` | `getLinks(int hierarchyLevel)` Returns the links with the specified hierarchy level as an Iterator.
`java.util.Iterator` | `getLinks(java.lang.String type)` Returns the links with the specified type as an Iterator.
`java.util.Set` | `getLinksByPartitionID(int partitionID)` Returns the links with the specified partition ID as a Set.
`java.lang.String` | `getLinkTableName()` Returns the link table name in the database.
`java.lang.String` | `getLRSGeomColumn()` Returns the network LRS geometry column name in the database.
`java.lang.String` | `getLRSTableName()` Returns the network geometry (LRS) table name in the database.
`int` | `getMaxLinkID()` Returns the maximum link ID.
`int` | `getMaxNodeID()` Returns the maximun node ID.
`int` | `getMaxPathID()` Returns the maximum path ID.
`MBR` | `getMBR()` Returns the network MBR.
`NetworkMetadata` | `getMetadata()` Returns the network metadata.
`java.lang.String` | `getMetadataViewName()` Returns the network metadata view name (user_sdo_network_metadata).
`java.lang.String` | `getName()` Returns the network name.
`Network` | `getNetworkAt(int hierarchyLevel)` Returns the sub-network at the specified hierarchy level.
`oracle.spatial.network.NetworkCache` | `getNetworkCache()` Returns the network cache for editing purpose.
`int` | `getNetworkID()` Returns the network ID.
`Node` | `getNode(int nodeID)` Returns the node by ID.
`Node` | `getNode(java.lang.String nodeID)` Returns the node by the String ID.
`Node[]` | `getNodeArray()` Returns the nodes as an array.
`Node[]` | `getNodeArray(boolean active)` Returns the nodes with the specified acvive flag as an array.
`Node[]` | `getNodeArray(int hierarchyLevel)` Returns the nodes with the specified hierarchy level as an array.
`Node[]` | `getNodeArray(java.lang.String type)` Returns the nodes with the specified type as an array.
`java.lang.String` | `getNodeCostColumn()` Returns the node cost column in the database.
`java.lang.String` | `getNodeDurationColumn()` Gets node duration column name
`java.lang.String` | `getNodeGeomColumn()` Returns the node geometry column name in the database.
`int[]` | `getNodeHierarchyLevelArray()` Returns the node hierarchy levels as an array.
`java.lang.String` | `getNodePartitionColumn()` Returns the node partition column in the database.
`java.util.Iterator` | `getNodes()` Returns the nodes as an Iterator.
`java.util.Iterator` | `getNodes(boolean active)` Returns the nodes with the specified acvive flag as an Iterator
`java.util.Iterator` | `getNodes(int hierarchyLevel)` Returns the nodes with the specified hierarchy level as an Iterator.
`java.util.Iterator` | `getNodes(java.lang.String type)` Returns the nodes with the specified type as an Iterator.
`java.util.Set` | `getNodesByPartitionID(int partitionID)` Returns the nodes with the specified partition ID as a Set.
`java.lang.String` | `getNodeTableName()` Returns the node table name in the database.
`int` | `getNoOfHierarchyLevels()` Returns the number of hierarcchy levels.
`int` | `getNoOfLinks()` Returns the number of links.
`int` | `getNoOfLinks(boolean active)` Returns the number of links with the specified active flag.
`int` | `getNoOfLinks(int hierarchyLevel)` Returns the number of links with the specified hierarchy level.
`int` | `getNoOfNodes()` Returns the number of nodes.
`int` | `getNoOfNodes(boolean active)` Returns the number of nodes with the specified active flag.
`int` | `getNoOfNodes(int hierarchyLevel)` Returns the number of nodes with the specified hierachy level.
`int` | `getNoOfPartitions()` Returns the number of partitions.
`int` | `getNoOfPaths()` Returns the number of paths.
`int` | `getNoOfPaths(boolean active)` Returns the number of paths with the specified active flag.
`int` | `getPartitionID()` Return the partitionID of the network.
`java.lang.String` | `getPartitionTableName()` Returns the partition table name in the database.
`Path` | `getPath(int pathID)` Returns the path by ID.
`Path` | `getPath(java.lang.String pathID)` Returns the path by the String ID.
`Path[]` | `getPathArray()` Returns the paths as an array.
`Path[]` | `getPathArray(boolean active)` Returns the paths with the specified active flag as an array.
`Path[]` | `getPathArray(java.lang.String type)` Returns the paths with the specified type as an array.
`java.lang.String` | `getPathGeomColumn()` Returns the path geometry column name in the database.
`java.lang.String` | `getPathLinkTableName()` Returns the path link table name in the database.
`java.util.Iterator` | `getPaths()` Returns the paths as an Iterator.
`java.util.Iterator` | `getPaths(boolean active)` Returns paths with the specified active as an Iterator.
`java.util.Iterator` | `getPaths(java.lang.String type)` Returns the paths with the specified type as an Iterator.
`java.util.Set` | `getPathsByPartitionID(int partitionID)` Returns the paths of which the start nodes with the specified partition ID as a Set.
`java.lang.String` | `getPathTableName()` Returns the path table name in the database.
`Network` | `getSubNetwork(MBR mbr)` Returns the sub-network bound by the specified MBR.
`Link[]` | `getTemporaryLinkArray()` Returns all temporary links as an array.
`Node[]` | `getTemporaryNodeArray()` Returns all temporary nodes as an array.
`java.lang.Object` | `getUserData()` Gets user defined data.
`java.lang.Object` | `getUserData(java.lang.String name)` Gets user data
`boolean` | `hasNodeCost()` Checks if the network has node cost.
`boolean` | `hasStringID()` Checks if the network has String ID index
`Network` | `intersectNetwork(Network network)` Intersects the network with the given network.
`boolean` | `isConnected()` Checks if the network is connected.
`boolean` | `isDirected()` Checks if the network is directed.
`boolean` | `isHierarchical()` Checks if the network is hierarchical (hierarchy level > 1).
`boolean` | `isLogical()` Checks if the network is logical (without spatial information).
`boolean` | `isLRSGeometry()` Checks if the network is from an LRS geometry layer.
`boolean` | `isModified()` Checks if the network has been modified.
`boolean` | `isPartition()` Checks if the network is a network partition.
`boolean` | `isPartitioned()` Checks if the network is partitioned.
`boolean` | `isPersistent()` Checks if the network is persistent (stored in the database).
`boolean` | `isReadOnly()` Checks if the network is read-only to the database.
`boolean` | `isSDOGeometry()` Checks if the network is from an SDO geometry layer.
`boolean` | `isSimple()` Checks if the network is a simple network whcih does not refer to other networks
`boolean` | `isSpatial()` Checks if the network is spatial (with spatial information).
`boolean` | `isTopoGeometry()` Checks if the network is from a TOPO geometry layer.
`boolean` | `isTree()` Checks if the network is a tree.
`boolean` | `isUndirected()` Checks if the network is un-directed.
`Link[]` | `nearestLink(double x, double y)` Gets the nearest link in a spatial network The result is in an array of Link.
`Node[]` | `nearestNode(double x, double y)` Gets the nearest node in a spatial network The result is in an array of Node.
`boolean` | `partitionedByLink()` Checks if the network is partitioned by links
`boolean` | `partitionedByNode()` Checks if the network is partitioned by nodes
`void` | `resetComponentNo(int no)` Resets the node compomnent number to the specified number
`void` | `setCategory(int category)` Sets the network category.
`void` | `setLinkDurationColumn(java.lang.String durationColumn)` Sets link duration column name
`void` | `setLinkPartitionColumn(java.lang.String partitionColumnName)` Sets the link partition column name
`void` | `setNodeDurationColumn(java.lang.String durationColumn)` Sets node duration column name
`void` | `setNodePartitionColumn(java.lang.String partitionColumnName)` Sets the node partition column name
`void` | `setNoOfHierarchyLevels(int no)` Sets the number of hierarchy levels.
`void` | `setPartitionTableName(java.lang.String partitionTableName)` Sets partition table name
`void` | `setStringIDIndex()` Sets String ID indexes for nodes, links ,and paths.
`void` | `setStringIDIndex(NDMStringID nodeStringID, NDMStringID linkStringID, NDMStringID pathStringID)` Sets String ID indexes for nodes,links ,and paths.
`void` | `setTemporaryCachingEnabled(boolean flag)` Enable/Disable Temporatory Element caching.
`void` | `setUserData(java.lang.Object userData)` Sets user defined data.
`void` | `setUserData(java.lang.String name, java.lang.Object data)` Sets user data

Field Detail

### LOGICAL_NETWORK

    public static final int LOGICAL_NETWORK

  See Also:
    Constant Field Values

### SPATIAL_NETWORK

    public static final int SPATIAL_NETWORK

  See Also:
    Constant Field Values

### UNDIRECTED_LINK

    public static final int UNDIRECTED_LINK

  See Also:
    Constant Field Values

### BIDIRECTED_LINK

    public static final int BIDIRECTED_LINK

  See Also:
    Constant Field Values

### DIRECTED_LINK

    public static final int DIRECTED_LINK

  See Also:
    Constant Field Values

### SDO_GEOMETRY_TYPE

    public static final int SDO_GEOMETRY_TYPE

  See Also:
    Constant Field Values

### LRS_GEOMETRY_TYPE

    public static final int LRS_GEOMETRY_TYPE

  See Also:
    Constant Field Values

### TOPO_GEOMETRY_TYPE

    public static final int TOPO_GEOMETRY_TYPE

  See Also:
    Constant Field Values

Method Detail

### getMetadata

    public NetworkMetadata getMetadata()

  Returns the network metadata.

### getName

    public java.lang.String getName()

  Returns the network name.

### getNodeArray

    public Node[] getNodeArray()

  Returns the nodes as an array.

### getNodes

    public java.util.Iterator getNodes()

  Returns the nodes as an Iterator.

### getExternalNodes

    public java.util.Iterator getExternalNodes()

  Returns the external nodes as an Iterator.

### getNodeArray

    public Node[] getNodeArray(boolean active)

  Returns the nodes with the specified acvive flag as an array.

### getNodes

    public java.util.Iterator getNodes(boolean active)

  Returns the nodes with the specified acvive flag as an Iterator
  Parameters:
    `active` - the active flag

### getExternalNodes

    public java.util.Iterator getExternalNodes(boolean active)

  Returns the external nodes with the specified acvive flag as an Iterator
  Parameters:
    `active` - the active flag

### getNodeArray

    public Node[] getNodeArray(int hierarchyLevel)

  Returns the nodes with the specified hierarchy level as an array.
  Parameters:
    `hierarchyLevel` - the hierarchy level

### getNodes

    public java.util.Iterator getNodes(int hierarchyLevel)

  Returns the nodes with the specified hierarchy level as an Iterator.
  Parameters:
    `hierarchyLevel` - the hierarchy level of the nodes

### getExternalNodes

    public java.util.Iterator getExternalNodes(int hierarchyLevel)

  Returns the external nodes with the specified hierarchy level as an Iterator.
  Parameters:
    `hierarchyLevel` - the hierarchy level of the nodes

### getNodeArray

    public Node[] getNodeArray(java.lang.String type)

  Returns the nodes with the specified type as an array.
  Parameters:
    `type` - the node type

### getNodes

    public java.util.Iterator getNodes(java.lang.String type)

  Returns the nodes with the specified type as an Iterator.
  Parameters:
    `type` - the node type

### getExternalNodes

    public java.util.Iterator getExternalNodes(java.lang.String type)

  Returns the external nodes with the specified type as an Iterator.
  Parameters:
    `type` - the node type

### getLinkArray

    public Link[] getLinkArray()

  Returns the links as an array.

### getLinks

    public java.util.Iterator getLinks()

  Returns the links as an Iterator.

### getExternalLinks

    public java.util.Iterator getExternalLinks()

  Returns the external links as an Iterator.

### getLinkArray

    public Link[] getLinkArray(boolean active)

  Returns the links with the specified active flag as an array.
  Parameters:
    `active` - the active flag

### getLinks

    public java.util.Iterator getLinks(boolean active)

  Returns the links with the specified active flag as an Iterator.
  Parameters:
    `active` - the active flag

### getExternalLinks

    public java.util.Iterator getExternalLinks(boolean active)

  Returns the external links with the specified active flag as an Iterator.
  Parameters:
    `active` - the active flag

### getLinkArray

    public Link[] getLinkArray(int hierarchyLevel)

  Returns the links with the specified hierarchy level as an array.
  Parameters:
    `hierarchyLevel` - the hierarchy level of the nodes

### getLinks

    public java.util.Iterator getLinks(int hierarchyLevel)

  Returns the links with the specified hierarchy level as an Iterator.
  Parameters:
    `hierarchyLevel` - the hierarchy level of the nodes

### getLinkArray

    public Link[] getLinkArray(java.lang.String type)

  Returns the links with the specified type as an array.
  Parameters:
    `type` - the link type

### getLinks

    public java.util.Iterator getLinks(java.lang.String type)

  Returns the links with the specified type as an Iterator.
  Parameters:
    `type` - the link type

### getExternalLinks

    public java.util.Iterator getExternalLinks(java.lang.String type)

  Returns the external links with the specified type as an Iterator.
  Parameters:
    `type` - the link type

### getNoOfNodes

    public int getNoOfNodes()

  Returns the number of nodes.

### getNoOfNodes

    public int getNoOfNodes(boolean active)

  Returns the number of nodes with the specified active flag.
  Parameters:
    `active` - the active flag

### getNoOfNodes

    public int getNoOfNodes(int hierarchyLevel)

  Returns the number of nodes with the specified hierachy level.
  Parameters:
    `hierarchyLevel` - the hierarchy level

### getNoOfLinks

    public int getNoOfLinks()

  Returns the number of links.

### getNoOfLinks

    public int getNoOfLinks(boolean active)

  Returns the number of links with the specified active flag.
  Parameters:
    `active` - the active flag

### getNoOfLinks

    public int getNoOfLinks(int hierarchyLevel)

  Returns the number of links with the specified hierarchy level.
  Parameters:
    `hierarchyLevel` - the hierarchy level

### getNoOfPaths

    public int getNoOfPaths()

  Returns the number of paths.

### getNoOfPaths

    public int getNoOfPaths(boolean active)

  Returns the number of paths with the specified active flag.
  Parameters:
    `active` - the active flag

### isConnected

    public boolean isConnected()

  Checks if the network is connected.
  Returns:
    true if connected, false otherwise

### isDirected

    public boolean isDirected()

  Checks if the network is directed.
  Returns:
    true if directed, false otherwise

### isUndirected

    public boolean isUndirected()

  Checks if the network is un-directed.
  Returns:
    true if un-directed, false otherwise

### isLogical

    public boolean isLogical()

  Checks if the network is logical (without spatial information).
  Returns:
    true if logical, false otherwise

### isSpatial

    public boolean isSpatial()

  Checks if the network is spatial (with spatial information).
  Returns:
    true if spatial, false otherwise

### isLRSGeometry

    public boolean isLRSGeometry()

  Checks if the network is from an LRS geometry layer.

### isSDOGeometry

    public boolean isSDOGeometry()

  Checks if the network is from an SDO geometry layer.

### isTopoGeometry

    public boolean isTopoGeometry()

  Checks if the network is from a TOPO geometry layer.

### isHierarchical

    public boolean isHierarchical()

  Checks if the network is hierarchical (hierarchy level > 1).
  Returns:
    true if the network is hierarchical, false otherwise

### getNoOfHierarchyLevels

    public int getNoOfHierarchyLevels()

  Returns the number of hierarcchy levels.

### getNoOfPartitions

    public int getNoOfPartitions()

  Returns the number of partitions.

### clear

    public void clear()

  Clears all network structure.

### getNode

    public Node getNode(int nodeID)
                 throws NetworkDataException

  Returns the node by ID.
  Parameters:
    `nodeID` - the node ID
  Throws:
    `NetworkDataException`

### getNode

    public Node getNode(java.lang.String nodeID)
                 throws NetworkDataException

  Returns the node by the String ID.
  Parameters:
    `nodeID` - the node String ID
  Throws:
    `NetworkDataException`

### getLink

    public Link getLink(int linkID)
                 throws NetworkDataException

  Returns the link by ID.
  Parameters:
    `linkID` - the link ID
  Throws:
    `NetworkDataException`

### getLink

    public Link getLink(java.lang.String linkID)
                 throws NetworkDataException

  Returns the link by the STring ID.
  Parameters:
    `linkID` - the link String ID
  Throws:
    `NetworkDataException`

### getLink

    public Link getLink(int startNodeID,
                        int endNodeID)
                 throws NetworkDataException

  Returns the link by the start and the end node IDs
  Parameters:
    `startNodeID` - the start node ID
    `endNodeID` - the end node ID
  Throws:
    `NetworkDataException`

### getPath

    public Path getPath(int pathID)
                 throws NetworkDataException

  Returns the path by ID.
  Parameters:
    `pathID` - the path ID
  Throws:
    `NetworkDataException`

### getPath

    public Path getPath(java.lang.String pathID)
                 throws NetworkDataException

  Returns the path by the String ID.
  Parameters:
    `pathID` - the path ID
  Throws:
    `NetworkDataException`

### getPathArray

    public Path[] getPathArray()

  Returns the paths as an array.

### getPaths

    public java.util.Iterator getPaths()

  Returns the paths as an Iterator.

### getPathArray

    public Path[] getPathArray(boolean active)

  Returns the paths with the specified active flag as an array.
  Parameters:
    `active` - the active flag

### getPaths

    public java.util.Iterator getPaths(boolean active)

  Returns paths with the specified active as an Iterator.
  Parameters:
    `active` - the active flag

### getPathArray

    public Path[] getPathArray(java.lang.String type)

  Returns the paths with the specified type as an array.
  Parameters:
    `type` - the path type

### getPaths

    public java.util.Iterator getPaths(java.lang.String type)

  Returns the paths with the specified type as an Iterator.
  Parameters:
    `type` - the path type

### addNode

    public void addNode(Node n)
                 throws NetworkDataException

  Adds a node to the network.
  Parameters:
    `n` - the node to be added
  Throws:
    `NetworkDataException`

### addNodes

    public void addNodes(Node[] nodeArray)
                  throws NetworkDataException

  Adds an array of nodes to the network.
  Parameters:
    `nodeArray` - the array of nodes to be added
  Throws:
    `NetworkDataException`

### addNode

    public Node addNode(Link l,
                        double distanceRatio,
                        boolean isTemporary)
                 throws NetworkDataException

  Adds a node on a link to the network.
  Parameters:
    `l` - the link on which the node is added
    `distanceRatio` - the ratio (between 0 and 1) from the start point of the link
    `isTemporary` - if the node is temporary node
  Throws:
    `NetworkDataException`

### addTemporaryNode

    public Node addTemporaryNode(Link l,
                                 double distanceRatio)
                          throws NetworkDataException

  Adds a Temporary node (non-persistent) on a link.
  Parameters:
    `l` - the link on which the node is added
    `distanceRatio` - ratio (between 0 and 1) from the start point of the link
  Throws:
    `NetworkDataException`

### addLink

    public void addLink(Link l)
                 throws NetworkDataException

  Adds a link to the network.
  Parameters:
    `l` - the link to be added
  Throws:
    `NetworkDataException`

### addLinks

    public void addLinks(Link[] linkArray)
                  throws NetworkDataException

  Adds an array of links to the network.
  Parameters:
    `linkArray` - the array of links to be added
  Throws:
    `NetworkDataException`

### deleteNode

    public void deleteNode(int nodeID)
                    throws NetworkDataException

  Deletes a node by ID.
  Parameters:
    `nodeID` - the node ID
  Throws:
    `NetworkDataException`

### deleteNode

    public void deleteNode(java.lang.String nodeID)
                    throws NetworkDataException

  Deletes a node by the STring ID.
  Parameters:
    `nodeID` - the node String ID
  Throws:
    `NetworkDataException`

### deleteNode

    public void deleteNode(Node n)

  Deletes a node.
  Parameters:
    `n` - the node to be deleted

### deleteLink

    public void deleteLink(int linkID)
                    throws NetworkDataException

  Deletes a link by ID.
  Parameters:
    `linkID` - the link ID
  Throws:
    `NetworkDataException`

### deleteLink

    public void deleteLink(java.lang.String linkID)
                    throws NetworkDataException

  Deletes a link by teh String ID.
  Parameters:
    `linkID` - the link String ID
  Throws:
    `NetworkDataException`

### deleteLink

    public void deleteLink(Link l)

  Deletes a link.
  Parameters:
    `l` - the link to be deleted

### addPath

    public void addPath(Path path)
                 throws NetworkDataException

  Adds a path to the network.
  Parameters:
    `path` - the path to be added
  Throws:
    `NetworkDataException`

### addPaths

    public void addPaths(Path[] pathArray)
                  throws NetworkDataException

  Adds an array of paths to the network.
  Parameters:
    `pathArray` - the array of paths to be added
  Throws:
    `NetworkDataException`

### deletePath

    public void deletePath(int pathID)
                    throws NetworkDataException

  Deletes a path by ID.
  Parameters:
    `pathID` - the path to be deleted
  Throws:
    `NetworkDataException`

### deletePath

    public void deletePath(java.lang.String pathID)
                    throws NetworkDataException

  Deletes a path by the String ID.
  Parameters:
    `pathID` - the path to be deleted
  Throws:
    `NetworkDataException`

### deletePath

    public void deletePath(Path path)

  Deletes a path.
  Parameters:
    `path` - the path to be deleted

### resetComponentNo

    public void resetComponentNo(int no)

  Resets the node compomnent number to the specified number
  Parameters:
    `no` - new component number

### isTree

    public boolean isTree()

  Checks if the network is a tree.

### getMaxNodeID

    public int getMaxNodeID()

  Returns the maximun node ID.

### getMaxLinkID

    public int getMaxLinkID()

  Returns the maximum link ID.

### getMaxPathID

    public int getMaxPathID()

  Returns the maximum path ID.

### getTemporaryNodeArray

    public Node[] getTemporaryNodeArray()

  Returns all temporary nodes as an array.

### getTemporaryLinkArray

    public Link[] getTemporaryLinkArray()

  Returns all temporary links as an array.

### deleteTemporaryElements

    public void deleteTemporaryElements()

  Deletes all temporary elements (nodes and links).

### getSubNetwork

    public Network getSubNetwork(MBR mbr)

  Returns the sub-network bound by the specified MBR.
  Parameters:
    `mbr` - the specified MBR

### addNetwork

    public void addNetwork(Network n)
                    throws NetworkDataException

  Adds a network to the current network. The elements that have the same IDs are considered the same.
  Parameters:
    `n` - the network to be added
  Throws:
    `NetworkDataException`

### deleteNetwork

    public void deleteNetwork(Network n)
                       throws NetworkDataException

  Deletes a sub-network.
  Parameters:
    `n` - the sub-network to be deleted
  Throws:
    `NetworkDataException`

### setNoOfHierarchyLevels

    public void setNoOfHierarchyLevels(int no)

  Sets the number of hierarchy levels.
  Parameters:
    `no` - the number of hierarchy levels

### getNetworkAt

    public Network getNetworkAt(int hierarchyLevel)

  Returns the sub-network at the specified hierarchy level.
  Parameters:
    `hierarchyLevel` - the network hierarchy level

### getNodeTableName

    public java.lang.String getNodeTableName()

  Returns the node table name in the database.

### getLinkTableName

    public java.lang.String getLinkTableName()

  Returns the link table name in the database.

### getPathTableName

    public java.lang.String getPathTableName()

  Returns the path table name in the database.

### getPathLinkTableName

    public java.lang.String getPathLinkTableName()

  Returns the path link table name in the database.

### getPartitionTableName

    public java.lang.String getPartitionTableName()

  Returns the partition table name in the database.

### getLRSTableName

    public java.lang.String getLRSTableName()

  Returns the network geometry (LRS) table name in the database.

### getNodeGeomColumn

    public java.lang.String getNodeGeomColumn()

  Returns the node geometry column name in the database.

### getLinkGeomColumn

    public java.lang.String getLinkGeomColumn()

  Returns the link geometry column name in the database.

### getLinkCostColumn

    public java.lang.String getLinkCostColumn()

  Returns the link cost column in the database.

### getNodeCostColumn

    public java.lang.String getNodeCostColumn()

  Returns the node cost column in the database.

### getPathGeomColumn

    public java.lang.String getPathGeomColumn()

  Returns the path geometry column name in the database.

### getLRSGeomColumn

    public java.lang.String getLRSGeomColumn()

  Returns the network LRS geometry column name in the database.

### getNetworkCache

    public oracle.spatial.network.NetworkCache getNetworkCache()

  Returns the network cache for editing purpose.

### getMetadataViewName

    public java.lang.String getMetadataViewName()

  Returns the network metadata view name (user_sdo_network_metadata).

### getNodeHierarchyLevelArray

    public int[] getNodeHierarchyLevelArray()

  Returns the node hierarchy levels as an array.

### getLinkHierarchyLevelArray

    public int[] getLinkHierarchyLevelArray()

  Returns the link hierarchy levels as an array.

### getMBR

    public MBR getMBR()

  Returns the network MBR. It will return null for logical networks.

### getNodesByPartitionID

    public java.util.Set getNodesByPartitionID(int partitionID)

  Returns the nodes with the specified partition ID as a Set.

### getLinksByPartitionID

    public java.util.Set getLinksByPartitionID(int partitionID)

  Returns the links with the specified partition ID as a Set.

### getPathsByPartitionID

    public java.util.Set getPathsByPartitionID(int partitionID)

  Returns the paths of which the start nodes with the specified partition ID as a Set.

### getNodePartitionColumn

    public java.lang.String getNodePartitionColumn()

  Returns the node partition column in the database.

### getLinkPartitionColumn

    public java.lang.String getLinkPartitionColumn()

  Returns the link partition column in the database.

### getUserData

    public java.lang.Object getUserData()

  Gets user defined data.

### setUserData

    public void setUserData(java.lang.Object userData)

  Sets user defined data.

### isPersistent

    public boolean isPersistent()

  Checks if the network is persistent (stored in the database).
  Returns:
    true if persistent, false otherwise

### setCategory

    public void setCategory(int category)

  Sets the network category.
  Parameters:
    `category` - the network category It is eitehr Network.SPATIAL_NETWORK or Network.LOGICAL_NETWORK

### hasNodeCost

    public boolean hasNodeCost()

  Checks if the network has node cost.
  Returns:
    true if the node cost column information is specified, false otherwise

### isModified

    public boolean isModified()

  Checks if the network has been modified.

### isPartition

    public boolean isPartition()

  Checks if the network is a network partition.

### isPartitioned

    public boolean isPartitioned()

  Checks if the network is partitioned.

### partitionedByNode

    public boolean partitionedByNode()

  Checks if the network is partitioned by nodes

### partitionedByLink

    public boolean partitionedByLink()

  Checks if the network is partitioned by links

### clone

    public java.lang.Object clone()

  Clones the network.

### intersectNetwork

    public Network intersectNetwork(Network network)
                             throws NetworkDataException

  Intersects the network with the given network. The elements that have same IDs are considered the same. The intersection network is returned.
  Throws:
    `NetworkDataException`

### getNetworkID

    public int getNetworkID()

  Returns the network ID.

### setStringIDIndex

    public void setStringIDIndex()
                          throws NetworkDataException

  Sets String ID indexes for nodes, links ,and paths. This provides a fast search mechanism for lable-based networks. The element name is used as the String ID and the HashMaps based on the element String IDs will be built. Note that the String IDs have to be unique or an exception will be thrown. Once the String ID Indexes of a network are created, getNode(String nodeStringID), getLink(String linkSTringID), and getPath(String pathStringID) can be used.
  Throws:
    `NetworkDataException`

### setStringIDIndex

    public void setStringIDIndex(NDMStringID nodeStringID,
                                 NDMStringID linkStringID,
                                 NDMStringID pathStringID)
                          throws NetworkDataException

  Sets String ID indexes for nodes,links ,and paths. This provides a fast search mechanism for lable-based networks. The network element String IDs are defined by the user via the NDMStringID interface This interface takes a Node , a Link, and a Path as inputs and returns a unique String ID. If the StringID function is null, the element name is used as the String ID and the HashMaps based on the element String IDs will be built. Note that the String IDs have to be unique or an exception will be thrown. Once the String ID Index of a network is created, getNode(String nodeStringID), getLink(String linkSTringID), and getPath(String pathStringID) can be used.
  Parameters:
    `nodeStringID` - node string ID interface
    `linkStringID` - link string ID interface
    `pathStringID` - path string ID interface
  Throws:
    `NetworkDataException`

### hasStringID

    public boolean hasStringID()

  Checks if the network has String ID index

### isSimple

    public boolean isSimple()

  Checks if the network is a simple network whcih does not refer to other networks

### getExternalNetworkIDs

    public int[] getExternalNetworkIDs()

  Returns all external network IDs in an array of int. Return null if the network is not a complex network. Note that it only returns external networks it refers directly.

### getPartitionID

    public int getPartitionID()

  Return the partitionID of the network.

### setNodePartitionColumn

    public void setNodePartitionColumn(java.lang.String partitionColumnName)

  Sets the node partition column name
  Parameters:
    `partitionColumnName` - node partition column

### setLinkPartitionColumn

    public void setLinkPartitionColumn(java.lang.String partitionColumnName)

  Sets the link partition column name
  Parameters:
    `partitionColumnName` - link partition column

### isReadOnly

    public boolean isReadOnly()

  Checks if the network is read-only to the database.

### setTemporaryCachingEnabled

    public void setTemporaryCachingEnabled(boolean flag)

  Enable/Disable Temporatory Element caching. The default temporatory caching is disable.
  Parameters:
    `flag` - true if enabled, false disabled

### clearTemporaryCache

    public void clearTemporaryCache()

  Clears the temporatory cache

### containsNode

    public boolean containsNode(int nodeID)

  Checks if the network contains the given node

### containsLink

    public boolean containsLink(int linkID)

  Checks if the network contains the given link

### containsPath

    public boolean containsPath(int pathID)

  Checks if the network contains the given path

### containsNode

    public boolean containsNode(java.lang.String nodeID)

  Checks if the network contains the given node

### containsLink

    public boolean containsLink(java.lang.String linkID)

  Checks if the network contains the given link

### containsPath

    public boolean containsPath(java.lang.String pathID)

  Checks if the network contains the given path

### setPartitionTableName

    public void setPartitionTableName(java.lang.String partitionTableName)

  Sets partition table name

### setNodeDurationColumn

    public void setNodeDurationColumn(java.lang.String durationColumn)

  Sets node duration column name

### setLinkDurationColumn

    public void setLinkDurationColumn(java.lang.String durationColumn)

  Sets link duration column name

### getNodeDurationColumn

    public java.lang.String getNodeDurationColumn()

  Gets node duration column name

### getLinkDurationColumn

    public java.lang.String getLinkDurationColumn()

  Gets link duration column name

### setUserData

    public void setUserData(java.lang.String name,
                            java.lang.Object data)

  Sets user data
  Parameters:
    `name` - name for the user data
    `data` - user data

### getUserData

    public java.lang.Object getUserData(java.lang.String name)

  Gets user data
  Parameters:
    `name` - name for the user data
  Returns:
    user data as an Java Object

### nearestNode

    public Node[] nearestNode(double x,
                              double y)

  Gets the nearest node in a spatial network The result is in an array of Node. All nodes that are of the minimum distance to the given point (x,y) will be returned.
  Parameters:
    `x` - first ordinate of the given point
    `y` - second ordinate of the given point
  Returns:
    an array of Node with minimum distance to the given point(x,y)

### nearestLink

    public Link[] nearestLink(double x,
                              double y)

  Gets the nearest link in a spatial network The result is in an array of Link. All Links that are of the minimum distance to the given point (x,y) will be returned.
  Parameters:
    `x` - first ordinate of the given point
    `y` - second ordinate of the given point
  Returns:
    an array of Link with minimum distance to the given point(x,y)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All Rights Reserved.